# MatMPIDenseSetPreallocation

Sets the array used to store the matrix entries

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMPIDenseSetPreallocation(Mat mat,PetscScalar *data)

Not collective

### Input Parameters

A -the matrix
data -optional location of matrix data. Set data=PETSC_NULL for PETSc to control all matrix memory allocation.

### Notes

The dense format is fully compatible with standard Fortran 77 storage by columns.

The data input variable is intended primarily for Fortran programmers who wish to allocate their own matrix memory space. Most users should set data=PETSC_NULL.

### Keywords

matrix,dense, parallel

### See Also

MatCreate(), MatCreateSeqDense(), MatSetValues()

Level:intermediate
Location: src/mat/impls/dense/mpi/mpidense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages